
QGIS Application - Bug report #2502

Range of bugs/enhancements for Random Selection tool

2010-03-06 05:39 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12562

Description

1. Tool window is modal (can use other tools when tool window is open). Is that really necessary? (also the case for some other tools, like

Random Selection within subsets

2. Tool window is replicatable. Click 10 times on this tool, will have 10 tool windows.

3. Finally, if the layer is switched off after opening tool window, throws an error (also the case with Random Sel within Subsets and related

to modality):

    An error has occured while executing Python code:

    Traceback (most recent call last):

      File "c:\\OSGeo4w\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doRandom.py", line 45, in accept

        value = int(round((value / 100.0000), 4) * layer.featureCount())

    [[AttributeError]]: 'NoneType' object has no attribute 'featureCount'

    Python version:

    2.5.4 (r254:67916, Dec 23 2008, 15:10:54) [MSC v.1310 32 bit (Intel)]

    Python path: ['c:/OSGeo4w/apps/qgis-dev/./python', 'C:/Documents and Settings/DUBININ/.qgis//python', 'C:/Documents and

Settings/DUBININ/.qgis//python/plugins', 'c:/OSGeo4w/apps/qgis-dev/./python/plugins',

'c:\\\\OSGeo4w\\\\apps\\\\gdal-16\\\\pymod', 'C:\\\\', 'C:\\\\WINDOWS\\\\system32\\\\python25.zip',

'c:\\\\OSGeo4w\\\\apps\\\\Python25\\\\DLLs', 'c:\\\\OSGeo4w\\\\apps\\\\Python25\\\\lib',

'c:\\\\OSGeo4w\\\\apps\\\\Python25\\\\lib\\\\plat-win', 'c:\\\\OSGeo4w\\\\apps\\\\Python25\\\\lib\\\\lib-tk',

'c:\\\\OSGeo4w\\\\apps\\\\qgis-dev\\\\bin', 'c:\\\\OSGeo4w\\\\apps\\\\Python25',

'c:\\\\OSGeo4w\\\\apps\\\\Python25\\\\lib\\\\site-packages', 'c:\\\\OSGeo4w\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32',

'c:\\\\OSGeo4w\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32\\\\lib',

'c:\\\\OSGeo4w\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\Pythonwin',

'c:\\\\OSGeo4w\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'c:\\\\OSGeo4w\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\\\tools', 'C:\\\\Documents and

Settings\\\\DUBININ\\\\.qgis\\\\python\\\\plugins\\\\GdalTools\\\\tools', 'C:\\\\Documents and

Settings\\\\DUBININ\\\\.qgis\\\\python\\\\plugins\\\\GdalTools']

History

#1 - 2010-03-06 06:12 PM - Giovanni Manghi

all confirmed under linux (ubuntu 9.10, qgis trunk) too.
#2 - 2010-03-09 05:13 PM - cfarmer -

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:24ba0309 (SVN r13038).

-Carson
